from datetime import datetime
from datetime import timezone

from ..controller import register_scraper
from ..scraper import BaseScraper


@register_scraper
class YoutubeScraper(BaseScraper):
    def __init__(self, after=datetime(1970, 1, 1, tzinfo=timezone.utc), *args, **kwargs):
        super(YoutubeScraper, self).__init__(*args, **kwargs)
        self.data = {}
        self.after = after

    def scrape(self):
        print("Scraping YouTube... Unimplemented")
        self.data = {}

    def transform(self):
        return self.data
